/***************************************************************************/
/* 		This code is part of WWW graber called pavuk		   */
/*		Copyright (c) 1997,1998,1999 Ondrejicka Stefan		   */
/*		(ondrej@idata.sk)					   */
/*		Distributed under GPL 2 or later			   */
/***************************************************************************/

#ifndef _appdef_h_
#define _appdef_h_

typedef struct {
	char	*atrib;
	char	*tstr;
	int	translatable;
} TARGstr;

static TARGstr resource [] = {
	{"*Label.spacing:" , "1" , FALSE} ,
	{"*minHeight:" , "20" , FALSE} ,
	{"*minWidth:" , "20" , FALSE} ,
	{"*dirsel_shell.title:" , gettext_nop("Pavuk: Directory browser") , TRUE} ,
	{"*cfg_sche.title:" , gettext_nop("Pavuk: Scheduler") , TRUE} ,
	{"*scn_load_shell.title:" , gettext_nop("Pavuk: Scenario loader") , TRUE},
	{"*scn_save_shell.title:" , gettext_nop("Pavuk: Scenario saver") , TRUE},
	{"*cfg_shell.title:" , gettext_nop("Pavuk: Common config") , TRUE},
	{"*cfg_lim.title:" , gettext_nop("Pavuk: Limits config") , TRUE},
	{"*tree_shell.title:" , gettext_nop("Pavuk: URL tree preview") , TRUE},
	{"*about_shell.title:" , gettext_nop("Pavuk: About") , TRUE},
	{"*but_rescan.spacing:" , "2" , FALSE},
	{"*but_browse.spacing:" , "2" , FALSE},
	{"*NumberEntry.minval:" , "0" , FALSE},
	{"*CheckME.label_position:" , "22" , FALSE},
	{"*Pavuk.width:" , "600" , FALSE},
	{"*swin.height:" , "300" , FALSE},
	{"" , gettext_nop("*dirsel_shell.geometry: 400x250") , TRUE} ,
	{"*scn_load_shell.width:" , "400" , FALSE},
	{"*scn_save_shell.width:" , "400" , FALSE},
	{"*url_tree.height:" , "400" , FALSE},
	{"*url_tree.width:" , "500" , FALSE},
	{"*card_box.width:" , "200" , FALSE},
	{"*_pulldownshell.width:" , "250" , FALSE} ,
	{"*_pulldownshell.height:" , "300" , FALSE} ,
	{"" , gettext_nop("*about_shell.geometry: 315x200") , TRUE},
	{"*card_box.height:" , "200" , FALSE},	
	{"" , gettext_nop("*cfg_shell.geometry: 640x420") , TRUE} ,
	{"" , gettext_nop("*cfg_lim.geometry: 580x475") , TRUE} ,
	{"" , gettext_nop("*url_dialog_shell.geometry: 300x100") , TRUE},
	{"*LabelME.label_justify:" , "left" , FALSE},
	{"*activ_bg:" , "lightgray" , FALSE},
	{"*foreground:" , "black" , FALSE},
	{"*background:" , "gray" , FALSE},
	{"*box_color:" , "gray" , FALSE},
	{"*card_background:" , "gray" , FALSE},
	{"*PopText.background:" , "#FFE2C2" , FALSE},
	{"*card_box.box_color:" , "darkgray" , FALSE},
        {"*calendar.month_color:" , "blue" , FALSE},
        {"*calendar.sunday_color:" , "red" , FALSE},
        {"*calendar.selector_color:" , "blue" , FALSE},
        {"*Scrollbar.foreground:" , "gray" , FALSE},
        {"*Scrollbar.background:" , "darkgray" , FALSE},
	{"*Card.highlight_on_enter:" , "True" , FALSE},
        {"*TreeList.tree_line_color:" , "red" , FALSE},
	{"*mb_file.label:" , gettext_nop("File") , TRUE},
	{"*mb_cfg.label:" , gettext_nop("Config") , TRUE} ,
	{"*mb_help.label:" , gettext_nop("Help") , TRUE},
	{"*mb_view.label:" , gettext_nop("View") , TRUE},
	{"*mb_mode.label:" , gettext_nop("Mode") , TRUE} ,
	{"*me_cfg_comm.label:" , gettext_nop("Common") , TRUE},
	{"*me_cfg_lim.label:" , gettext_nop("Limitations") , TRUE},
	{"*me_url.label:" , gettext_nop("Open URL") , TRUE},
	{"*me_sch.label:" , gettext_nop("Schedule") , TRUE},
	{"*me_scn_load.label:" , gettext_nop("Load scenario") , TRUE},
	{"*me_scn_save.label:" , gettext_nop("Save scenario") , TRUE},
	{"*me_quit.label:" , gettext_nop("Exit") , TRUE},
	{"*me_about.label:" , gettext_nop("About") , TRUE},
	{"*me_help.label:" , gettext_nop("Help") , TRUE},
	{"*me_dumy.label:" , gettext_nop("Dummy") , TRUE},
	{"*me_tree.label:" , gettext_nop("Document Tree") , TRUE},
	{"*me_logclear.label:" , gettext_nop("Clear log window") , TRUE},
	{"*me_launch.label:" , gettext_nop("Launch browser") , TRUE},
	{"*me_prop.label:" , gettext_nop("Properties") , TRUE},
	{"*me_disable.label:" , gettext_nop("Disable URL") , TRUE},
	{"*me_enable.label:" , gettext_nop("Enable URL") , TRUE},
	{"*me_download.label:" , gettext_nop("Download URL") , TRUE},
	{"*me_normal.label:" , gettext_nop("normal recurse") , TRUE} ,
	{"*me_sync.label:" , gettext_nop("synchronize") , TRUE} ,
	{"*me_spage.label:" , gettext_nop("single page") , TRUE} ,
	{"*me_lnupd.label:" , gettext_nop("update local links") , TRUE} ,
	{"*me_resume.label:" , gettext_nop("resume files") , TRUE} ,
	{"*me_sreget.label:" , gettext_nop("unlimited reget") , TRUE} ,
	{"*me_nostore.label:" , gettext_nop("transfer but don't store") , TRUE} ,
	{"*me_cfg_debug.label:" , gettext_nop("Debug") , TRUE},
	{"*me_cfg_quiet.label:" , gettext_nop("Quiet") , TRUE},
	{"*tool_config.label:" , gettext_nop("Config") , TRUE},
	{"*tool_config.help_text:" , gettext_nop("Popup config window") , TRUE},
	{"*tool_stop.label:" , gettext_nop("Stop") , TRUE},
	{"*tool_stop.help_text:" , gettext_nop("Finish this transfer and stop") , TRUE},
	{"*tool_break.label:" , gettext_nop("Break") , TRUE},
	{"*tool_break.help_text:" , gettext_nop("Break transfer and stop") , TRUE},
	{"*tool_start.label:" , gettext_nop("Continue") , TRUE},
	{"*tool_start.help_text:" , gettext_nop("Continue after stop or break") , TRUE},
	{"*tool_restart.label:" , gettext_nop("Restart") , TRUE},
	{"*tool_restart.help_text:" , gettext_nop("Start working on actualy set start URL") , TRUE},
	{"*tool_exit.label:" , gettext_nop("Exit") , TRUE},
	{"*tool_exit.help_text:" , gettext_nop("Immediately quit the program") , TRUE},
	{"*tool_bg.label:" , gettext_nop("Go bg") , TRUE},
	{"*tool_bg.help_text:" , gettext_nop("Destroy window as soon as posible and continue on terminal") , TRUE}, 
	{"*but_browse.label:" , gettext_nop("Browse") , TRUE} ,
	{"*but_rescan.label:" , gettext_nop("Rescan") , TRUE},
	{"*but_ok.label:" , gettext_nop("O.k.") , TRUE},
	{"*but_cancel.label:" , gettext_nop("Cancel") , TRUE},
	{"*but_delete.label:" , gettext_nop("Delete") , TRUE},
	{"*but_append.label:" , gettext_nop("Append") , TRUE},
	{"*but_schedule.label:" , gettext_nop("Schedule") , TRUE},
	{"*Calendar.day_names:" , gettext_nop("\"Sun\" \"Mon\" \"Tue\" \"Wed\" \"Thu\" \"Fri\" \"Sat\"") , TRUE} ,
	{"*Calendar.month_names:" , gettext_nop("\"January\" \"February\" \"March\" \"April\" \"May\" \"Jun\" \"July\" \"August\" \"September\" \"October\" \"November\" \"December\"") , TRUE},
	{"*FileSel.cancel_label:" , gettext_nop("Cancel") , TRUE} ,
	{"*FileSel.dir_label:" , gettext_nop("Directory : ") , TRUE} ,
	{"*FileSel.rescan_label:" , gettext_nop("Rescan") , TRUE} ,
	{"*FileSel.ok_label:" , gettext_nop("OK") , TRUE} ,	
	{"*ftp_data_sw.label:" , gettext_nop("FTP data connection type ") , TRUE},
	{"*ftp_actived.label:" , gettext_nop("Active") , TRUE},
	{"*ftp_passived.label:" , gettext_nop("Passive") , TRUE},
	{"*base_level_label.label:" , gettext_nop("Base level of tree          : ") , TRUE},
	{"*log_label.label:" , gettext_nop("Log file : ") , TRUE},
	{"*auth_file_label.label:" , gettext_nop("Auth info file : ") , TRUE},
	{"*xloglen_label.label:" , gettext_nop("Log window length : ") , TRUE},
	{"*sync_rollback_label.label:" , gettext_nop("Rollback amount on reget : ") , TRUE},
	{"*sync_days_label.label:" , gettext_nop("Days to select doc for sync : ") , TRUE} ,
	{"*maxd_label.label:" , gettext_nop("Max. count of documents : ") , TRUE},
	{"*maxl_label.label:" , gettext_nop("Max. deep of tree       : ") , TRUE},
	{"*maxs_label.label:" , gettext_nop("Max. document size      : ") , TRUE},
	{"*urld_label.label:" , gettext_nop("URL :  ") , TRUE},
	{"*authd_label.label:" , gettext_nop("Name :  ") , TRUE},
	{"*authl_label.label:" , gettext_nop("HTTP user authentification") , TRUE},
	{"*passd_label.label:" , gettext_nop("Password :  ") , TRUE},
	{"*proxy_authd_label.label:" , gettext_nop("Name :  ") , TRUE},
	{"*proxy_authl_label.label:" , gettext_nop("HTTP proxy user authentification") , TRUE},
	{"*proxy_passd_label.label:" , gettext_nop("Password :  ") , TRUE},
	{"*fromd_label.label:" , gettext_nop("E-mail address :  ") , TRUE},
	{"*retryd_label.label:" , gettext_nop("How many times retry on fail   : ") , TRUE},
	{"*regetd_label.label:" , gettext_nop("How many times to reget file   : ") , TRUE},
	{"*redird_label.label:" , gettext_nop("How many moved links to follow : ") , TRUE},
	{"*subdir_label.label:" , gettext_nop("Working subdirectory :") , TRUE},
	{"*time_label.label:" , gettext_nop("Time :  ") , TRUE},
	{"*hosts_label.label:" , gettext_nop("Site :  ") , TRUE},
	{"*domain_label.label:" , gettext_nop("Domain :  ") , TRUE},
	{"*langd_label.label:" , gettext_nop("Language :  ") , TRUE},
	{"*sufixd_label.label:" , gettext_nop("Sufix :  ") , TRUE},
	{"*prefixd_label.label:" , gettext_nop("Prefix :  ") , TRUE},
	{"*mpattd_label.label:" , gettext_nop("Documents matching pattern : ") , TRUE},
	{"*url_mpattd_label.label:" , gettext_nop("URL matching pattern : ") , TRUE},
	{"*uexit_label.label:" , gettext_nop("User condition script : ") , TRUE},
	{"*host_label.label:" , gettext_nop("Host : ") , TRUE},
	{"*port_label.label:" , gettext_nop("Port : ") , TRUE},
	{"*browserd_label.label:" , gettext_nop("Browser : ") , TRUE},
	{"*cdird_label.label:" , gettext_nop("Cache Directory : ") , TRUE},
	{"*sleep_label.label:" , gettext_nop("Sleep time between transfers : ") , TRUE},
	{"*timeoutd_label.label:" , gettext_nop("Communication timeout : ") , TRUE},
	{"*secd_label.label:" , gettext_nop(" min") , TRUE},
	{"*scndir_label.label:" , gettext_nop("Scenario directory : ") , TRUE},
	{"*scn_label.label:" , gettext_nop("Scenario : ") , TRUE},
	{"*mimet_label.label:" , gettext_nop("Other MIME type : ") , TRUE},
	{"*alang_label.label:" , gettext_nop("Other lang. code : ") , TRUE},
	{"*help_label.label:" , "  " , FALSE},
	{"*cache_sw.label:" , gettext_nop("Allow caching of documents") , TRUE},
	{"*cache_sw.type:" , "cross" , FALSE},
	{"*oldrm_switch.label:" , gettext_nop("Remove improper documents") , TRUE},
	{"*oldrm_switch.type:" , "cross" , FALSE},
	{"*_pfxswitch.label:" , gettext_nop("Allow / Disallow prefix") , TRUE},
	{"*_sfxswitch.label:" , gettext_nop("Allow / Disallow sufix") , TRUE},
	{"*hosts_sw.label:" , gettext_nop("Allow / Disallow sites") , TRUE},
	{"*domain_sw.label:" , gettext_nop("Allow / Disallow domains") , TRUE},
	{"*mime_sw.label:" , gettext_nop("Allow / Disallow MIME type") , TRUE},
	{"*cgi_switch.label:" , gettext_nop("Download cgi-generated pages") , TRUE},
	{"*cgi_switch.type:" , "cross" , FALSE},
	{"*enc_switch.label:" , gettext_nop("Use gzip encoding for transfer") , TRUE},
	{"*enc_switch.type:" , "cross" , FALSE},
	{"*auth_base.label:" , gettext_nop("Base auth. scheme") , TRUE} ,
	{"*auth_user.label:" , gettext_nop("User auth. scheme") , TRUE},
	{"*auth_digest.label:" , gettext_nop("Digest auth. scheme") , TRUE},
	{"*auth_box.label:" , gettext_nop("Scheme") , TRUE},
	{"*proxy_auth_base.label:" , gettext_nop("Base auth. scheme") , TRUE},
	{"*proxy_auth_user.label:" , gettext_nop("User auth. scheme") , TRUE},
	{"*proxy_auth_box.label:" , gettext_nop("Scheme") , TRUE},
	{"*ftpp_col.label:" , gettext_nop("FTP proxy") , TRUE},
	{"*httpp_col.label:" , gettext_nop("HTTP proxy") , TRUE},
	{"*gopherp_col.label:" , gettext_nop("Gopher proxy") , TRUE},
	{"*sslp_col.label:" , gettext_nop("SSL proxy") , TRUE},
	{"*proto_col.label:" , gettext_nop("Allowed protocols") , TRUE},
	{"*ftp_httpgw_label.label: " , gettext_nop("FTP via HTTP proxy") , TRUE} ,
	{"*ftp_dirtyp_label.label:" , gettext_nop("Dirty FTP proxy") , TRUE} ,
	{"*gopher_httpgw_label.label:" , gettext_nop("Gopher via HTTP proxy") , TRUE},
	{"*gopher_switch.label:" , gettext_nop("Gopher") , TRUE},
	{"*gopher_switch.type:" , "cross" , FALSE},
	{"*ftp_switch.label:" , gettext_nop("FTP") , TRUE},
	{"*ftp_switch.type:" , "cross" , FALSE},
	{"*http_switch.label:" , gettext_nop("HTTP") , TRUE},
	{"*http_switch.type:" , "cross" , FALSE},
	{"*https_switch.label:" , gettext_nop("HTTPS") , TRUE},
	{"*https_switch.type:" , "cross" , FALSE} ,
	{"*ftpdir_switch.label:" , gettext_nop("Recurse through FTP directory") , TRUE},
	{"*ftpdir_switch.type:" , "cross" , FALSE} ,
	{"*robots_switch.label:" , gettext_nop("Allow \"robots.txt\"") , TRUE},
	{"*robots_switch.type:" , "cross" , FALSE} ,
	{"*freget_sw.label:" , gettext_nop("Whole reget when partial not supported") , TRUE} ,
	{"*freget_sw.type:" , "cross" , FALSE} ,
	{"*reloc_sw.label:" , gettext_nop("Rewrite links inside HTML doc") , TRUE} ,
	{"*reloc_sw.type:" , "cross" , FALSE},
	{"*etime_sw.label:" , gettext_nop("Check if doc. time older than this") , TRUE} ,
	{"*etime_sw.type:" , "cross" , FALSE},
	{"*btime_sw.label:" , gettext_nop("Check if doc. time newer than this") , TRUE} ,
	{"*btime_sw.type:" , "cross" , FALSE},
	{"*resch_l1.label:" , gettext_nop("Reschedule after ") , TRUE} ,
	{"*resch_l2.label:" , " hours" , TRUE} ,
	{"*preserve_time.label:" , gettext_nop("Preserve document modification time") , TRUE},
	{"*preserve_time.type:" , "cross" , FALSE},
	{"*leave_site.label:" , gettext_nop("Don't leave starting site") , TRUE} ,
	{"*leave_site.type:" , "cross" , FALSE},
	{"*leave_dir.label:" , gettext_nop("Don't leave starting directory") , TRUE} ,
	{"*leave_dir.type:" , "cross" , FALSE},
	{"*leavel_label.label:" , gettext_nop("Max. levels to leave from starting site : ") , TRUE} ,
	{"*sw_cookie_update.label:" , gettext_nop("Update cookies") , TRUE} ,
	{"*sw_cookie_recv.label:" , gettext_nop("Accept cookies") , TRUE} ,
	{"*sw_cookie_send.label:" , gettext_nop("Send cookies") , TRUE} ,
	{"*en_cookie_file.label:" , gettext_nop("Cookie file : ") , TRUE} ,
	{"*maxcookie_label.label:" , gettext_nop("Cookies maximal number : ") , TRUE} ,
	{"*html_tags_sw.type:" , "cross" , FALSE} ,
	{"*ssl_cert_passwd_label.label:" , gettext_nop("Certificate password : ") , TRUE},
	{"*ssl_cert_file_label.label:" , gettext_nop("Certificate PEM file : ") , TRUE},
	{"*ssl_key_file_label.label:" , gettext_nop("Certificate key file : ") , TRUE},
	{NULL , NULL , FALSE} ,
};

#endif

